Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Has anybody built and setup an Ubuntu Precise PPA for LLVM/Clang 3.1? A bonus would be to have a recent version of libc++ integrated into it aswell.

share|improve this question
add comment

2 Answers

up vote 10 down vote accepted

I uploaded debian/sid packages of llvm-3.1 and clang-3.1 to my ppa.

share|improve this answer
    
+1, This is great, however, is it possible to add a fixed version of libstdc++-4.7 to it (see notes here)? As <chrono> is currently broken. –  KillianDS Jun 1 '12 at 13:41
    
That is a separate package and I don't have patch for libstdc++-4.6, which is what ubuntu 12.04 ships. Maybe you can patch your installed header, the pathc for 4.7 is a one-liner. –  eudoxos Jun 1 '12 at 13:55
    
Will try it that way then, thank you for the great ppa. –  KillianDS Jun 1 '12 at 14:17
add comment

Just found an article about installing Clang and libc++ from sources on Ubuntu 12.04.1 and 12.10. The author uses the latest versions for both Clang and libc++. Hope this will be useful:

http://solarianprogrammer.com/2013/01/17/building-clang-libcpp-ubuntu-linux/

share|improve this answer
    
This answer isn't very useful for two reasons: 1. The OP asked for a PPA, not compiling himself. 2. Providing a link to some volatile web content is not enough effort for an answer. –  aquaherd Jan 17 '13 at 21:44
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.